<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My lists</h1>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in todo_lists %}
                            <tr>
                                <td>
                                    <a href="{% url 'todo_list_detail' task.id %}">{{ task.name }}</a>
                                </td>
                                <td>{{ task.items.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
